<?php  
  function mst_get_option($Aoption_name, $default = null)
  {
    return stripslashes(get_option($Aoption_name, $default));
  };

function mst_enqueue_comment_reply() {
  if ( is_singular() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );
	};
add_action( 'wp_enqueue_scripts', 'mst_enqueue_comment_reply' );


  function mst_template_setup() 
  {	
    global $mst_content_width;
	
    if ( ! isset( $content_width ) ) 
      $content_width = 630;
  	add_theme_support( 'custom-background' );
	load_theme_textdomain('mystyle', get_template_directory() . '/languages');
	$locale = get_locale();
	$locale_file = get_template_directory() . "/languages/$locale.php";
	if (is_readable($locale_file ))
	  require_once($locale_file);	  

function mst_register_my_menus()
{
register_nav_menus
(
array( 'header-menu' => 'header-menu1')
);
}
	add_action( 'after_setup_theme', 'mst_register_my_menus' );

	function mst_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
	add_action( 'init', 'mst_add_editor_styles' );	
	add_theme_support( 'automatic-feed-links' );	
	add_theme_support('post-thumbnails');
	set_post_thumbnail_size( 700, 9999, true );
	add_theme_support( 'custom-background' );	
		   
  };  
  add_action('after_setup_theme', 'mst_template_setup');
  
 
function mst_filter_wp_title( $title ) {
  global $page, $paged;
    $site_name = get_bloginfo( 'name' );
    $filtered_title = $site_name . $title;
      return $filtered_title;
	  $site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
		if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'mystyle' ), max( $paged, $page ) ); 
}

add_filter( 'wp_title', 'mst_filter_wp_title' );

  
  if ( ! function_exists( 'mst_comment' ) ) :	
  function mst_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo sanitize_text_field(get_avatar( $comment, 40 )); ?>
			<?php printf( __( '%s <span class="says">says:</span>', 'mystyle' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'mystyle' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo sanitize_text_field(esc_url( get_comment_link( $comment->comment_ID ) )); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'mystyle' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'mystyle' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php sanitize_text_field(comment_text()); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'mystyle' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'mystyle' ), ' ' ); ?></p>
	<?php
			break;
	endswitch;
  };
  endif; 
	function mst_widgets_init() {
	register_sidebar( array(
		'name' => 'Footer Sidebar 1',
		'id' => 'footer-sidebar-1',
		'description' => 'Appears in the footer area',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
) );
	register_sidebar( array(
		'name' => 'Footer Sidebar 2',
		'id' => 'footer-sidebar-2',
		'description' => 'Appears in the footer area',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
) );
	register_sidebar( array(
		'name' => 'Footer Sidebar 3',
		'id' => 'footer-sidebar-3',
		'description' => 'Appears in the footer area',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
) );
}
  add_action('widgets_init', 'mst_widgets_init');

	
	function mst_wp_corenavi() {
  global $wp_query, $wp_rewrite;
  $pages = '';
  $max = $wp_query->max_num_pages;
  if (!$current = get_query_var('paged')) $current = 1;
  $a['base'] = str_replace(999999999, '%#%', get_pagenum_link(999999999));
  $a['total'] = $max;
  $a['current'] = $current;

  $total = 1; 
  $a['mid_size'] = 3; 
  $a['end_size'] = 1; 
  $a['prev_text'] = '&laquo;'; 
  $a['next_text'] = '&raquo;'; 

  if ($max > 1) echo '<div class="navigation">';

  echo $pages . paginate_links($a);
  if ($max > 1) echo '</div>';
}

if ( ! function_exists( 'mst_options_admin_menu' ) ) :
  function mst_options_admin_menu() 
  {	    
	$mst_theme_page = add_theme_page(__("Mystyle Options", 'mystyle'), __("Mystyle Options", 'mystyle'), 
	  'edit_theme_options', 'mst_general_options_page', 'mst_general_options_page');	
  };
  endif; 
  
  add_action('admin_menu', 'mst_options_admin_menu');
  
  $mst_options = get_option( 'mst_options' );	

  
  add_action('wp_head', 'mst_head');
    if ( ! function_exists( 'mst_head' ) ) :
  function mst_head()
  {  
    if (!is_admin())
	{
	  global $mst_favicon_url;
?>	
<link rel="shortcut icon" href="<?php echo sanitize_text_field(mst_get_option('mst_favicon_url', $mst_favicon_url)); ?>" type="image/x-icon" />
<?php	
	  $background = get_theme_mod('background_image', false);
	  $bgcolor = get_theme_mod('background_color', false);
?>

<?php	  
	};
  };
    endif;
	 function mst_options_update() 
   {
     global $_POST, $mst_favicon_url;
		
	 if ($_POST['mst_favicon_url'] != '')
	 {
	   update_option('mst_favicon_url', $_POST['mst_favicon_url']);
	 } else 
	 {
	   update_option('mst_favicon_url', $mst_favicon_url);	  
	 };
		
		  };
		  
 function mst_options_validate ( $mst_options) {  
    $output = array();  
    foreach( $mst_options as $key => $value ) {  
        if( isset( $mst_options[$key] ) ) {  
            $output[$key] = strip_tags( stripslashes( $mst_options[ $key ] ) );        
        }          
    }  
    return apply_filters( 'mst_options_validate', $output, $mst_options );    
}  

  

	
function mst_general_options_input() {  
register_setting('mst_general_options_page','mst_general_options_page','mst_options_validate'); 
register_setting( 'mst_general_options_page', 'mst_favicon_url' ); 
}

add_action( 'admin_init', 'mst_general_options_input' );  		  
 
   
    if ( ! function_exists( 'mst_general_options_page' ) ) :
  function mst_general_options_page()
  {
    global  $_POST, $mst_favicon_url; 
	
 if ( isset($_POST['update_options']) && $_POST['update_options'] == 'true' )
?>	
	    <div class="wrap">
		<div id="icon-options-general" class="icon32"><br /></div>
      		<h2><?php _e('Mystyle General Options', 'mystyle'); ?></h2>

        <form method="post" action="options.php">
		<?php 
 wp_nonce_field('update-options'); ?>

			
            <table class="form-table">

 <tr valign="top">
                    <th scope="row"><label for="mst_favicon_url"><?php _e('Favicon:', 'mystyle'); ?></label></th>
                    <td><input type="text" name="mst_favicon_url" size="95" 
					  value="<?php echo sanitize_text_field(mst_get_option('mst_favicon_url', $mst_favicon_url)); ?>"/>
					<br/>
					<span class="description"> 
					<?php printf(__('<a href="%s" target="_blank">Upload your favicon</a> using WordPress Media Library and insert its URL here', 
					  'mystyle'), home_url().'/wp-admin/media-new.php'); ?>
					</span><br/><br/>
					<img src="<?php echo sanitize_text_field(mst_get_option('mst_favicon_url', $mst_favicon_url)); ?>" alt=""/>
					</td>
                </tr>	  		
			    										
					
            </table>
	<input type="hidden" name="action" value="update" />
	<input type="hidden" name="page_options" value="mst_favicon_url" />
     			<p><a href="https://twitter.com/wpmole" class="twitter-follow-button" data-show-count="false">Follow @wpmole</a>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script> <a href="http://www.facebook.com/pages/WPMole/142454599181539" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/img/facebook.png" /></a>  <a href="http://wpmole.com" target="_blank">WPMole</a></p>	
     			<p><?php submit_button(); ?></p>
        </form>
		
    </div>
	<?php

if ( !empty($_POST) && check_admin_referer( 'update-options') ) {
}

  };
   endif; 

?>